Authorization: Bearer ********************{
"scales": [
{
"id": 8184,
"grade": "string",
"min_percentage": 26.98274624745187,
"description": {
"key_0": "string"
}
}
]
}curl --location --request PUT 'https://api.msaaq.com/v1/grading/scales/batch' \
--header 'X-Tenant: academy.msaaq.com' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"scales": [
{
"id": 8184,
"grade": "string",
"min_percentage": 26.98274624745187,
"description": {
"key_0": "string"
}
}
]
}'{
"message": "string",
"data": [
{
"id": 4013,
"grade": "A+",
"min_percentage": 90,
"description": {
"ar": "ممتاز",
"en": "Excellent"
},
"sort_order": 0,
"created_at": "2026-01-01 00:00:00",
"updated_at": "2026-01-01 00:00:00"
},
{
"id": 2627,
"grade": "A+",
"min_percentage": 90,
"description": {
"ar": "ممتاز",
"en": "Excellent"
},
"sort_order": 0,
"created_at": "2026-01-01 00:00:00",
"updated_at": "2026-01-01 00:00:00"
}
]
}